// spkolstr.cpp : Defines the entry point for the console application.
#include "stdafx.h"
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>
// Составить список строк и посчитать количество элементов списка, длина которых меньше введенной.
//Удалить список в коце работы.
struct rec{
       char inf[22];
       rec *p;};
void main()
   {rec *first,*q,*p;
    char s[22];int len,kol;
    puts("Input string or empty string");
	gets(s);
    first=new rec;
	first->p=NULL;
	 strcpy(first->inf,s);
     p=first;
	 gets(s);
	 while(s[0]!='\0')
	 {
       q=new rec;
       strcpy(q->inf,s);
	   q->p=NULL;
	   p->p=q;     
       p=q;
	   gets(s);
     }
	puts("Inputed Spisok");
       q=first;
    while(q!=NULL)
	{
       puts(q->inf);
       q=q->p;
	}

  printf("\n input length for find<=22\n");
  scanf("%d",&len);kol=0;
    q=first;
	printf("String with length <%5d\n",len);
    while(q!=NULL)
	{  if(strlen(q->inf)<len)
	    { puts(q->inf);
	      kol++;
	     }
        q=q->p;
	}
  printf("\nSipisok include %5d string with length<%5d\n",kol,len) ;
  puts("\nDelete spisok");
      while(first!=NULL)
		  {// puts(first->inf);
            q=first;
		    first=first->p;
			delete q;
		  }
        q=p=NULL;
 }